restinio::utils::scope_exit_details::at_exit_t< L > Class Template Reference

Helper class for scope exit implementation. More...

`#include <at_scope_exit.hpp>`

## Public Member Functions

| at_exit_t (L &&l)
| at_exit_t (at_exit_t &&o)
| ~at_exit_t ()

## Private Attributes

L | m_lambda

## Detailed Description

template<typename L>
class restinio::utils::scope_exit_details::at_exit_t< L >

Helper class for scope exit implementation.

Definition at line 31 of file at_scope_exit.hpp.

## Constructor & Destructor Documentation

## at_exit_t() [1/2]

template<typename L >

restinio::utils::scope_exit_details::at_exit_t< L >::at_exit_t | ( | L && | l | ) |

inline

Definition at line 35 of file at_scope_exit.hpp.

## at_exit_t() [2/2]

template<typename L >

restinio::utils::scope_exit_details::at_exit_t< L >::at_exit_t | ( | at_exit_t< L > && | o | ) |

inline

Definition at line 36 of file at_scope_exit.hpp.

## ~at_exit_t()

template<typename L >

restinio::utils::scope_exit_details::at_exit_t< L >::~at_exit_t | ( |  | ) |

inline

Definition at line 37 of file at_scope_exit.hpp.

## Member Data Documentation

## m_lambda

template<typename L >

L restinio::utils::scope_exit_details::at_exit_t< L >::m_lambda

private

Definition at line 33 of file at_scope_exit.hpp.

The documentation for this class was generated from the following file:

- restinio/utils/at_scope_exit.hpp